<?php

	/*
		微型网络任务受访文件



						by: 小浩
	*/

	@error_reporting (0);
	header ('Content-Type: text/html; charset=utf-8');
	set_time_limit (0);
	ignore_user_abort (true);

	function AnYue_Job ($url){
		$curl = curl_init();
		curl_setopt($curl,CURLOPT_TIMEOUT,1);
		curl_setopt($curl,CURLOPT_URL,$url);
		curl_setopt($curl,CURLOPT_HEADER,0);
		curl_exec($curl);
		curl_close($curl);
	}


	require '../siteinfo.php';

	if (@$_GET['job'] != $websitejob){
		die ('Parameter error!');
	}

	$url = 'http://' . $_SERVER['HTTP_HOST'] . '/Mission/'; //网站地址，无需手动配置，系统自动检测！


	$file = array ('login','update','delete_Invalid_qq','sitemap'); #可选: hf

	foreach ($file as $value){

		for ($i=1;$i<=8;$i++){

			AnYue_Job ($url . $value . '.php?server='. $i .'&job=' . $websitejob);

		}

	}

	echo '<h3>ok!</h3>';

